#! perl -w
#
# Win32::Logon
#
# Author: Bill Odom
#
# A sample module, ostensibly designed to hold logon-related functions,
# but really just serving as an example of a local module that can
# easily be called from a Win32 logon script.
#

package Win32::Logon;

use strict;

use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

require Exporter;

@ISA = qw(Exporter);

@EXPORT = qw(
   $userid
   $workstation
   $homedir
   $tempdir
  );

$VERSION = '0.01';

## end Module Interface


## Modules

use FindBin;
use File::Spec;
use Win32;


## Variables

use vars qw(
  $homedir
  $tempdir
  $userid
  $workstation
  $workgroup
);


## Subroutines

# (none yet)


## Main

$homedir     = $FindBin::Bin;
$tempdir     = $ENV{temp};

# The logical operator weirdness here is to account for an oddity that
# I haven't quite worked out yet.  Before the completion of the logon
# script, some network parameters (such as Win32::LoginName) are blank.
# For this reason, I pre-load those values into the environment in LOGON.BAT,
# using the PUTINENV utility, then grab those values here if they exist.
# Obviously, this is a hack, and I'd like to get rid of it -- and as soon
# I figure out how, I will.
#
$userid      = Win32::LoginName()  || $ENV{'USERNAME'}     || "";
$workstation = Win32::NodeName()   || $ENV{'COMPUTERNAME'} || "";
$workgroup   = Win32::DomainName() || $ENV{'LANGROUP'}     || "";

1;

# end Logon.pm
